Package: grails.gsp.taglib.compiler

## [Java] Class TagLibArtefactTypeAstTransformation

- grails.gsp.taglib.compiler.TagLibArtefactTypeAstTransformation

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected org.codehaus.groovy.ast.ClassNode` | `getAnnotationType()`
    `protected java.lang.String` | `resolveArtefactType(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.AnnotationNode annotationNode, org.codehaus.groovy.ast.ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArtefactTypeAstTransformation` | `doPerformInjectionOnArtefactType, findInjectors, getAnnotationType, getAstAppliedMarkerClass, hasArtefactType, isApplied, isArtefactAnnotationNode, markApplied, performInjection, performInjectionOnArtefactType, postProcess, resolveArtefactType, visit`
    `class AbstractArtefactTypeAstTransformation` | `performInjectionOnArtefactType`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override protected org.codehaus.groovy.ast.ClassNode getAnnotationType()

    - #### @java.lang.Override protected java.lang.String resolveArtefactType(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.AnnotationNode annotationNode, org.codehaus.groovy.ast.ClassNode classNode)